KUBERNETES(1)

NAME

kubeadm reset - Run this to revert any changes made to this host by 'kubeadm init' or 'kubeadm join'.

SYNOPSIS

kubeadm reset [OPTIONS]

DESCRIPTION

Run this to revert any changes made to this host by 'kubeadm init' or 'kubeadm join'.

OPTIONS

--cert-dir="/etc/kubernetes/pki"
    The path to the directory where the certificates are stored. If specified, clean this directory.

--cri-socket=""
    Path to the CRI socket to connect. If empty kubeadm will try to auto-detect this value; use this option only if you have more than one CRI installed or if you have non-standard CRI socket.

-f, --force=false
    Reset the node without prompting for confirmation.

--ignore-preflight-errors=[]
    A list of checks whose errors will be shown as warnings. Example: 'IsPrivilegedUser,Swap'. Value 'all' ignores errors from all checks.

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

SEE ALSO

kubeadm(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!